#
# Conditional build:
%bcond_with	rtas	# RTAS support (PowerPC)
#
%ifarch ppc ppc64
%define	with_rtas	1
%endif
Summary:	VPD/hardware inventory utilities for Linux
Summary(pl.UTF-8):	Narzędzia do inwentaryzacji VPD/sprzętu dla Linuksa
Name:		lsvpd
Version:	1.7.5
Release:	1
License:	GPL v2+ with librtas exception
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/linux-diag/%{name}-%{version}.tar.gz
# Source0-md5:	c301c1e19987475af816414a066b689f
Source1:	vpdupdater.init
Source2:	vpdupdater.sysconfig
# from libvpd sources
Source3:	90-vpdupdate.rules
Patch0:		%{name}-nortas.patch
URL:		http://linux-diag.sourceforge.net/Lsvpd.html
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
%{?with_rtas:BuildRequires:	librtas-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libvpd-cxx-devel >= 2
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sg3_utils-devel
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(post):	/sbin/ldconfig
Requires:	/lib/hwdata/pci.ids
Requires:	/lib/hwdata/usb.ids
Requires:	hwdata >= 0.243-5
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The lsvpd package contains both the lsvpd, lscfg and lsmcode commands.
These commands, along with a boot-time scanning script called
update-device-tree, constitute a simple hardware inventory system. The
lsvpd command provides Vital Product Data (VPD) about hardware
components to higher-level serviceability tools. The lscfg command
provides a more human-readable format of the VPD, as well as some
system-specific information. lsmcode lists microcode and firmware
levels.

%description -l pl.UTF-8
Pakiet lsvpd zawiera polecenia lsvpd, lscfg i lsmcode. Tworzą one,
wraz z uruchamianym przy starcie systemu skryptem update-device-tree,
prosty system inwentaryzacji sprzętu. Polecenie lsvpd dostarcza VPD
(Vital Product Data) o podzespołach sprzętowych dla narzędzi wyższego
poziomu. Polecenie lscfg dostarcza bardziej czytelną dla człowieka
postać VPD oraz trochę informacji specyficznych dla systemu. lsmcode
wypisuje poziomy mikrokodu i firmware'u.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_rtas:ac_cv_lib_rtas_rtas_get_vpd=no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/vpdupdater
install -D -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/vpdupdater
install -D -p %{SOURCE3} $RPM_BUILD_ROOT/lib/udev/rules.d/90-vpdupdate.rules

install -d $RPM_BUILD_ROOT/var/lib/lsvpd
touch $RPM_BUILD_ROOT/var/lib/lsvpd/run.vpdupdate

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vpdupdater

%postun	-p /sbin/ldconfig

%preun
if [ "$1" = "0" ] ; then
	/sbin/chkconfig --del vpdupdater
fi

%triggerpostun -- lsvpd < 1.0.0
/sbin/chkconfig --del lsvpd

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/lscfg
%attr(755,root,root) %{_sbindir}/lsmcode
%attr(755,root,root) %{_sbindir}/lsvio
%attr(755,root,root) %{_sbindir}/lsvpd
%attr(755,root,root) %{_sbindir}/vpdupdate
%dir %{_sysconfdir}/lsvpd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lsvpd/cpu_mod_conv.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lsvpd/scsi_templates.conf
%attr(754,root,root) /etc/rc.d/init.d/vpdupdater
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/vpdupdater
/lib/udev/rules.d/90-vpdupdate.rules
%dir /var/lib/lsvpd
# empty control file, only mtime changes and matters
%verify(not mtime) /var/lib/lsvpd/run.vpdupdate
%{_mandir}/man8/lscfg.8*
%{_mandir}/man8/lsmcode.8*
%{_mandir}/man8/lsvio.8*
%{_mandir}/man8/lsvpd.8*
%{_mandir}/man8/vpdupdate.8*
%changelog
* Thu Jul 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lsvpd.git;a=log;h=master

* Thu Jul 02 2015 Jakub Bogusz <qboosh@pld-linux.org> c411a5e
- updated to 1.7.5
- updated nortas patch
- removed obsolete make patch
- added udev-based vpdupdate configuration from libvpd

* Sun Mar 24 2013 Jakub Bogusz <qboosh@pld-linux.org> aa56015
- BR: libvpd-cxx-devel

* Sun Mar 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 4cdb445
- updated to 1.7.0
- updated make patch
- adjusted for {pci,usb}.ids in hwdata

* Fri Sep 23 2011 Jakub Bogusz <qboosh@pld-linux.org> b1cb8d4
- updated to 1.6.11
- updated make patch
- added nortas patch to allow archs other than ppc

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 7d6fa36
- updated usb.ids path in make patch
- require {pci,usb}.ids in expected location

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 7a8d4c5
- updated to 1.6.10
- added PLD init script (previous one no longer present in sources)

* Sat Jun 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 25c075e
- release 4

* Sun Nov 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a56e912
- rel 3

* Fri Oct 12 2007 Szymon Siwek <sls@pld-linux.org> 2af7402
- fixed building with db4.6

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d155a13
- rel 2

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 3ff35f2
- updated to 1.0.3
- added make patch, removed outdated gcc4 patch
- service name has been changed (lsvpd -> vpdupdater)

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 909a98b
- paths and linking fixes

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> d73f74d
- outdated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4031222
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a018b7a
- converted to UTF-8

* Wed Sep 20 2006 Paweł Sikora <pluto@pld-linux.org> 30c21f0
- real gcc4 fixes.

* Wed Sep 20 2006 Paweł Sikora <pluto@pld-linux.org> e78e723
- build fixes.

* Wed Sep 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 026233f
- gcc epoch

* Wed Sep 20 2006 tommat <tommat@pld-linux.org> f6e989e
- fno-unit-at-a-time requires gcc 4.0 or higher

* Mon Sep 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 97eed20
- updated to 0.16.0

